/*********************************************************
 *               Hlavickove soubory pro TUOX             *
 *                                                       *
 * Soubor:    string.h                                   *
 * Popis:     Definice funkci pro praci s retezci        *
 *                                                       *
 * Autori:    Rostislav Bosak                            *
 *            Jaroslav Hurdes                            *
 *            Martin Perina                              *
 *            Martin Vojvodik                            *
 * 							 *
 * Preprac:   Daniel Tvrdy				 *
 *	      Ivo Orlik                         (c) 1997 *
 *********************************************************/

#ifndef _STRING_H_

#define _STRING_H_

#include "_null.h"

#ifndef _SIZE_T
#define _SIZE_T
typedef unsigned size_t;
#endif

void *cdecl memchr(const void *s, int c, size_t n);
int cdecl memcmp(const void *s1, const void *s2, size_t n);
void *cdecl memcpy(void *dest, const void *src, size_t n); 
void *cdecl memmove(void *dest, const void *src, size_t n); 
void *cdecl memset(void *s, int c, size_t n);


char *cdecl strcat(char *dest, const char *src);
char *cdecl strchr(const char *s, int c);
int cdecl strcmp(const char *s1, const char *s2);
int cdecl strcoll(const char *s1, const char *s2);
char *cdecl strcpy(char *dest, const char *src);
size_t cdecl strcspn(const char *s1, const char *s2);
char *cdecl strerror(int errnum);
size_t cdecl strlen(const char *s);
char *cdecl strncat(char *dest, const char *src, size_t n);
int cdecl strncmp(const char *s1, const char *s2, size_t n);
char *cdecl strncpy(char *dest, const char *src, size_t n);
char *cdecl strpbrk(const char *s1, const char *s2);
char *cdecl strrchr(const char *s, int c);
size_t cdecl strspn(const char *s1, const char *s2);
char *cdecl strstr(const char *s1, const char *s2);
char * cdecl strtok(char *s1, const char *s2);
size_t cdecl strxfrm(char *dest, const char *src, size_t n);


#endif
